<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('settings', function (Blueprint $table) {
            $table->text('slider_content_sh')->nullable();
            $table->text('slider_content_sh_ar')->nullable();
            $table->text('slider_content_wh')->nullable();
            $table->text('slider_content_wh_ar')->nullable();
            $table->text('slider_content_vh')->nullable();
            $table->text('slider_content_vh_ar')->nullable();
            $table->text('slider_content_rh_ar')->nullable();
            $table->text('slider_content_rh')->nullable();
            $table->text('slider_content_dh')->nullable();
            $table->text('slider_content_dh_ar')->nullable();
            $table->text('slider_content_ch')->nullable();
            $table->text('slider_content_ch_ar')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('settings', function (Blueprint $table) {
            $table->dropColumn([
                'slider_content_sh',
                'slider_content_sh_ar',
                'slider_content_wh',
                'slider_content_wh_ar',
                'slider_content_vh',
                'slider_content_vh_ar',
                'slider_content_rh',
                'slider_content_rh_ar',
                'slider_content_dh',
                'slider_content_dh_ar',
                'slider_content_ch',
                'slider_content_ch_ar',
            ]);
        });
    }
};
